IMG_0011.JPG=Winchester Model 94 Centennial 66 Rifle
IMG_0019.JPG=Rifle and lighter.
IMG_0009.JPG=Winchester Model 94 Centennial 66 Rifle
IMG_0010.JPG=Winchester Model 94 Centennial 66 Rifle
IMG_0020.JPG=Lighter!
